/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

jomsQuery(window).load(function() {
	var next		= jomsQuery('.sl_jspn_next .sl_jspn_outer');
	var prev		= jomsQuery('.sl_jspn_prev .sl_jspn_outer');
	var appbox		= next.parents('.app-box')[0] ? next.parents('.app-box') : prev.parents('.app-box');
	
	jomsQuery('body').append(jomsQuery('.sl_jspn_next')).append(jomsQuery('.sl_jspn_prev'));
	appbox.remove();

	next._jz_width	= next.width();
	prev._jz_width	= prev.width();

	next.animate({
		width:		1,
		opacity:	0.7
	});

	next.mouseenter(function() {
		next.stop().animate({
			width:		next._jz_width,
			opacity:	1
		});
	});

	next.mouseleave(function() {
		next.stop().animate({
			width:		1,
			opacity:	0.7
		})
	});

	prev.animate({
		width:		1,
		opacity:	0.7
	});

	prev.mouseenter(function() {
		prev.stop().animate({
			width:		prev._jz_width,
			opacity:	1
		});
	});

	prev.mouseleave(function() {
		prev.stop().animate({
			width:		1,
			opacity:	0.7
		})
	});
});